.lead-overlay {
    position: fixed;
    width:  100vw;
    height: 100vh;
    background: black;
    top:  0;
    left:  0;
    visibility: hidden;
    transition: all .1s ease;
}
.lead-popup {
        visibility: hidden;
        opacity: 0;
        transition: all .2s ease;
        position: fixed;
    }

@media(min-width: 577px) and (min-height: 766px) {
    .lead-popup {
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        min-width:  90vw;
    }

    .lead-container {
        padding-top: 30px;
        padding-bottom: 30px;
    }
}


@media(max-height: 767px){
    .lead-popup {
        height: 100vh;
        bottom: 0;
        right: 0;
        width: 100vw;
        min-width: 75vw;
        max-height:  100vh;
    }
    .lead-container {
        height:  100%;
        padding-top: 0;
    }
    .lead-controls {
        position:  relative;
        left: -10px !important;
        top: 10px !important;
        text-align: right;
        max-width: 100vw;
    }
}

@media(max-width: 576px){
    .lead-popup {
        height: 100vh;
        bottom: 0;
        right: 0;
        min-width: 75vw;
        width:  unset;
    }
    .lead-container {
        height:  100%;
    }
    .lead-controls {
        position:  relative;
        left: -10px !important;
        top: 70px !important;
        text-align: right;
        max-width: 100vw;
    }
}

.lead-controls {
    position:  relative;
    left: -20px;
    top: 0;
    text-align: right;
}
#lead-popupclose {
    cursor:  pointer;
    font-size: 2rem;    
}